package com.ekexiu.portal.job;

import java.sql.Connection;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.sql.DataSource;

import org.apache.log4j.Logger;
import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Bean;

import com.ekexiu.portal.service.ProfessorService;
@Bean
public class TaskJobEntry implements Runnable{
	private static Logger logger = Logger.getLogger(TaskJobEntry.class);
	private String taskTime;
	private long delayTime;
	@Autowrie("dataSource")
	private DataSource dataSource;
	@Autowrie
	private ProfessorService professorService;
	public DataSource getDataSource() {
		return dataSource;
	}
	public void setDataSource(DataSource dataSource) {
		this.dataSource = dataSource;
	}
	public ProfessorService getProfessorService() {
		return professorService;
	}
	public void setProfessorService(ProfessorService professorService) {
		this.professorService = professorService;
	}
	public String getTaskTime() {
		return taskTime;
	}
	public void setTaskTime(String taskTime) {
		this.taskTime = taskTime;
	}
	public long getDelayTime() {
		return delayTime;
	}
	public void setDelayTime(long delayTime) {
		this.delayTime = delayTime;
	}
	@Override
	public void run() {
		try {
			Connection con =dataSource.getConnection();
			try{
				professorService.updateStarAvg(con);
                con.commit();
                SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                logger.info("执行定时任务，更新专家平均星级"+df.format(new Date()));
            }catch(Exception e){
                try{con.rollback();
                }catch(Exception e1){e1.printStackTrace();}
            }finally{
                try{con.close();
                }catch(Exception e){e.printStackTrace();} 
            }
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
	
}
